#ifndef util_h
#define util_h util_h

#include <sys/types.h>
#include <stdio.h>


enum { FD_UNKNOWN, FD_TTY, FD_FILE, FD_PIPE };

extern	FILE*		Fopen					(char *, const char *);
extern 	void 		OnQuit					(void (*)(void));
extern 	void 		Quit					(int);
extern 	int 		classify_descriptor		(int);
extern 	const char*	BaseName				(char *);

#ifdef NEED_STRCASECMP
extern 	int 		strcasecmp				( const char *, const char * );
extern 	int 		strncasecmp				( const char *, const char *, int );
#endif


#endif




